[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# FpExecLPE

Execute a program in the path, and pass it an environment

## Declaration

Source position: unix.pp line 82

`function FpExecLPE(`
`const PathName: AnsiString;`
`const S: array of AnsiString;`
`env: PPChar`
`):cint;`

## Description

FpExecLPE does the same as FpExecLP, but additionally it specifies the environment for the new process in env, a pointer to a null-terminated array of null-terminated strings.

## Errors

On success, this function does not return.

## See also

FpExecLP |  | Execute process (using argument list, environment; search path)
FpExecLE |  | Execute process (using argument list, environment)

Documentation generated on: Feb 26 2014